----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    10:09:14 05/01/2009 
-- Design Name: 
-- Module Name:    Clk_div - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity Clk_div is
    Port ( CLK : in  STD_LOGIC;
           RST : in  STD_LOGIC;
           Clkout : out  STD_LOGIC);
end Clk_div;

architecture Behavioral of Clk_div is

constant cntendval: Std_logic_vector (16 downto 0) := "11100001101010000";
signal cntval: Std_logic_vector (16 downto 0);


begin

	process (CLK, RST)
		begin
			if RST = '1' then cntval <= "00000000000000000";
				elsif (clk'event and clk = '1') then 
					if (cntval = cntendval) then cntval <= "00000000000000000";
						else cntval <= cntval +1;
						end if;

			end if;
	end process;

clkout <= cntval(16);
end Behavioral;

