----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    10:33:43 05/01/2009 
-- Design Name: 
-- Module Name:    FourBitCounter - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity FourBitCounter is
    Port ( CEN : in  STD_LOGIC;
           CLK : in  STD_LOGIC;
           RST : in  STD_LOGIC;
           B : out  STD_LOGIC_VECTOR (3 downto 0);
           TC : out  STD_LOGIC);
end FourBitCounter;

architecture Behavioral of FourBitCounter is

	signal Bout: Std_logic_vector (3 downto 0);

begin


B <= Bout;

process (CLK, RST)
begin
	if RST = '1' then 
		Bout <= "0000";
	elsif (rising_edge(CLK)) then 
		if Bout = "1001" then 
			TC <= '1';
			Bout <= "0000";	
		else 
			TC <= '0';
			Bout <= Bout + 1;
		end if;
	end if;
end process;

--process (CLK, RST)
--begin
--	if RST = '1' then 
--		Bout <= "0000";
--	elsif (rising_edge(CLK)) then 
--		if CEN = '1' then 
--			if Bout = "1001" then 
--				TC <= '1';
--				Bout <= "0000";
--				
--			else 
--				TC <= '0';
--				Bout <= Bout + "0001";
--			end if;
--		end if;
--	end if;
--	
--end process;


end Behavioral;

