----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    14:14:55 05/01/2009 
-- Design Name: 
-- Module Name:    anodeSeq - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity anodeSeq is
    Port ( CLK : in  STD_LOGIC;
           RST : in  STD_LOGIC;
           ano : out  STD_LOGIC_VECTOR (1 downto 0));
end anodeSeq;



architecture Behavioral of anodeSeq is

signal state : std_logic_vector(1 downto 0);

begin

	process(CLK, RST) begin
		if RST = '1' then
			state <= "00";
		elsif rising_edge(CLK) then
			state <= state + '1';
		end if;
	end process;

	ano <= state;

end Behavioral;

