----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    10:24:28 05/01/2009 
-- Design Name: 
-- Module Name:    ssdDecoder - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity ssdDecoder is
Port ( 	bin : in  STD_LOGIC_vector (3 downto 0);
			ssd : out  STD_LOGIC_vector (6 downto 0));


end ssdDecoder;

architecture Behavioral of ssdDecoder is
                                                                     
                                                                     
signal ssd_int :  STD_LOGIC_VECTOR(6 downto 0);

begin
  ssd <= ssd_int;
 
	WITH BIN SELECT
	ssd_int <= 	"1111110" when "0000",
				"0110000" when "0001",
				"1101101" when "0010",
				"1111001" when "0011",
				"0110011" when "0100",
				"1011011" when "0101",
				"1011111" when "0110",
				"1110000" when "0111",
				"1111111" when "1000",
				"1111011" when "1001",
				"1110111" when "1010",
				"0011111" when "1011",
				"1001110" when "1100",
				"0111101" when "1101",
				"1001111" when "1110",
				"1000111" when "1111",
				"0000001" when others;

end Behavioral;


